import Api from '../axios'

const prefix = '/mdm/mdm/kpiManage'

export default {
  /* 获取数据库资源列表接口 */
  listColumn (obj) {
    return Api.get(prefix + '/listColumn', obj)
  },
  /* 通过ID数组批量字段信息 */
  listColumnByIds (obj) {
    return Api.get(prefix + '/listColumnByIds', obj)
  },
  /* 通过数据表Id获取数据表列表 */
  listColumnByTableId (obj) {
    return Api.get(prefix + '/listColumnByTableId', obj)
  },
  /* 获取已建数据库列表选项 */
  listDatabase (obj) {
    return Api.get(prefix + '/listDatabase', obj)
  },
  /* 通过数据库Id获取数据表列表 */
  listTableByDatabaseId (obj) {
    return Api.get(prefix + '/listTableByDatabaseId', obj)
  }
}
